Bug 129832 - Installer aborts: Kernel panic: Fatal exception in interrupt
Installer aborts: Kernel panic: Fatal exception in interrupt
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-12 22:29 EDT by Rick Ziegler
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:49:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Ziegler 2004-08-12 22:29:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7)
Gecko/20040803 Firefox/0.8

Description of problem:
This seemed different from other "Kernel panic: Fatal exception in
interrupt" bugs I saw since I can't even get it installed.

From the initial reboot screens, after choosing any of the install
options (Graphical, text, linux askmethod, etc) this dumps to the screen:

.....

running install...
running /sbin/loader

.....

       c0381a8c 00000040 00000000 c01f908d 00000040 00000000 00000000
c7cdced8
Call Trace:
 [<c0203e75>] cdrom_start_read_continuation+0x0/0xb0
 [<c02038dc>] cdrom_start_packet_command+0x110/0x134
 [<c0203780>] cdrom_timer_expiry+0x0/0x4c
 [<c0204cf7>] ide_do_rw_cdrom+0xe3/0x14f
 [<c01f908d>] start_request+0x197/0x1b8
 [<c01f9308>] ide_do_request+0x23f/0x27a
 [<c01f955b>] ide_timer_expiry+0x151/0x15d
 [<c01f940a>] ide_timer_expiry+0x0/0x15d
 [<c011f4fb>] run_timer_softirq+0x10b/0x12a
 [<c011c25d>] __do_softirq+0x35/0x73
 [<c0107708>] do_softirq+0x46/0x4d
========================
 [<c0107197>] do_IRQ+0x15d/0x169
 [<c0287338>] common_interrupt+0x18/0x20
 [<c0104018>] default_idle+0x0/0x26
 [<c010403b>] default_idle+0x23/0x26
 [<c010408a>] cpu_idle+0x1d/0x32
 [<c03205fe>] start_kernel+0x174/0x176

Code: 0f 0b eb 03 c1 e4 2a c0 89 0a 8b 44 24 18 89 82 e4 00 00 00
 <0>Kernel panic: Fatal exception in interrupt
In interrupt handler - not syncing

.....

Fedora Core 1 installed OK on this machine previously, as do other
Linux distros as well as Windows XP.

I used the same exact Fedora Core 2 CDs on another machine and they
work OK.

The ISO md5sums were identical to those currently posted.  I burned
the ISO's with Nero on Windows.

I re-burned the ISO's to additional CD's, but the same problem occurs.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Reboot with the Fedora Core 2 CD 1 in place.
2. Start the installer.

    

Actual Results:  Crashes with info as above.

Expected Results:  The installer should proceed, like it did in Fedora
Core 1.

Additional info:
Comment 1 John DeDourek 2004-08-16 15:54:16 EDT
Am having same problem on a (slow) IBM 300 GL (300MHz Pentium II),
INTEL 440 LX/EX chipset, 64MB memory, FX320X, CDRom.

Note the CDRom driver and timer interrupt in the traceback.
What's the chance that this is due to the CDRom driver race 
fixed by a patch from Jens Axoe?

Possibly related bugs 115458 and 129832. 
Comment 2 John DeDourek 2004-09-23 09:38:06 EDT
Also possibly related to bug 125348 and bug 129838
Comment 3 Dave Jones 2005-02-24 01:43:42 EST
was this fixed in fc3 ?
Comment 4 Dave Jones 2005-04-16 00:49:33 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.